/*

   CTC.H

*/
/* 14318180 Hz/(12*2^6) = 18643.46354 Hz*/

#define CTC_TICKS_PER_SEC (18643UL)
#define CTC_TICKS_MAX (1610793000UL)

#define CTC_MODE_NONE 0
#define CTC_MODE_ILLEGAL 1
#define CTC_MODE_2 2
#define CTC_MODE_3 3


/* returns time since midnight */
/* seconds since midnight: ctc_time()/CTC_TICKS_PER_SEC */
unsigned long ctc_time(void);
void ctc_pause(unsigned long delay);
int ctc_detect_mode(void);


